=begin
#IronWorker CE API

#The ultimate, language agnostic, container based task processing framework.

OpenAPI spec version: 0.5.7

Generated by: https://github.com/swagger-api/swagger-codegen.git

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=end

require 'spec_helper'
require 'json'

# Unit tests for IronWorker::TasksApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'TasksApi' do
  before do
    # run before each test
    @instance = IronWorker::TasksApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TasksApi' do
    it 'should create an instact of TasksApi' do
      expect(@instance).to be_instance_of(IronWorker::TasksApi)
    end
  end

  # unit tests for groups_name_tasks_get
  # Get task list by group name.
  # This will list tasks for a particular group.
  # @param name Name of group for this set of tasks.
  # @param [Hash] opts the optional parameters
  # @option opts [DateTime] :created_after Will return tasks created after this time. In RFC3339 format.
  # @option opts [Integer] :n Number of tasks to return per page. Default is 50. Max is 1000.
  # @option opts [String] :cursor Pass this in from a previous query to paginate results.
  # @return [TasksWrapper]
  describe 'groups_name_tasks_get test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_id_cancel_post
  # Cancel a task.
  # Cancels a task in delayed, queued or running status. The worker may continue to run a running task. reason is set to &#x60;client_request&#x60;. The task&#39;s completed_at field is set to the current time on the taskserver.
  # @param name Name of group for this set of tasks.
  # @param id Task id
  # @param [Hash] opts the optional parameters
  # @return [TaskWrapper]
  describe 'groups_name_tasks_id_cancel_post test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_id_delete
  # Delete the task.
  # Delete only succeeds if task status is one of &#x60;succeeded | failed | cancelled&#x60;. Cancel a task if it is another state and needs to be deleted.  All information about the task, including the log, is irretrievably lost when this is invoked. 
  # @param name Name of group for this set of tasks.
  # @param id Task id
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'groups_name_tasks_id_delete test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_id_error_post
  # Mark task as failed.
  # Task is marked as failed if it was in a valid state. Task&#39;s &#x60;finished_at&#x60; time is initialized.
  # @param name Name of group for this set of tasks.
  # @param id Task id
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [TaskWrapper]
  describe 'groups_name_tasks_id_error_post test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_id_get
  # Gets task by id
  # Gets a task by id.
  # @param name Name of group for this set of tasks.
  # @param id task id
  # @param [Hash] opts the optional parameters
  # @return [TaskWrapper]
  describe 'groups_name_tasks_id_get test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_id_log_get
  # Get the log of a completed task.
  # Retrieves the log from log storage.
  # @param name Name of group for this set of tasks.
  # @param id Task id
  # @param [Hash] opts the optional parameters
  # @return [String]
  describe 'groups_name_tasks_id_log_get test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_id_log_post
  # Send in a log for storage.
  # Logs are sent after a task completes since they may be very large and the runner can process the next task.
  # @param name Name of group for this set of tasks.
  # @param id Task id
  # @param log Output log for the task. Content-Type must be \&quot;text/plain; charset&#x3D;utf-8\&quot;.
  # @param [Hash] opts the optional parameters
  # @return [TaskWrapper]
  describe 'groups_name_tasks_id_log_post test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_id_retry_post
  # Retry a task.
  # \&quot;The /retry endpoint can be used to force a retry of tasks with status succeeded, cancelled or failed. The retried task has the same attributes. max_retries is not modified.\&quot; 
  # @param name Name of group for this set of tasks.
  # @param id Task id
  # @param [Hash] opts the optional parameters
  # @return [TaskWrapper]
  describe 'groups_name_tasks_id_retry_post test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_id_start_post
  # Mark task as started, ie: status &#x3D; &#39;running&#39;
  # Task status is changed to &#39;running&#39; if it was in a valid state before. Task&#39;s &#x60;started_at&#x60; time is initialized.
  # @param name Name of group for this set of tasks.
  # @param id Task id
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [TaskWrapper]
  describe 'groups_name_tasks_id_start_post test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_id_success_post
  # Mark task as succeeded.
  # Task status is changed to succeeded if it was in a valid state before. Task&#39;s &#x60;completed_at&#x60; time is initialized.
  # @param name Name of group for this set of tasks.
  # @param id Task id
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [TaskWrapper]
  describe 'groups_name_tasks_id_success_post test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_id_touch_post
  # Extend task timeout.
  # Consumers can sometimes take a while to run the task after accepting it.  An example is when the runner does not have the docker image locally, it can spend a significant time downloading the image. If the timeout is small, the task may never get to run, or run but not be accepted by Titan. Consumers can touch the task before it times out. Titan will reset the timeout, giving the consumer another timeout seconds to run the task. Touch is only valid while the task is in a running state. If touch fails, the runner may stop running the task. 
  # @param name Name of group for this set of tasks.
  # @param id Task id
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'groups_name_tasks_id_touch_post test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for groups_name_tasks_post
  # Enqueue task
  # Enqueues task(s). If any of the tasks is invalid, none of the tasks are enqueued. 
  # @param name name of the group.
  # @param body Array of tasks to post.
  # @param [Hash] opts the optional parameters
  # @return [TasksWrapper]
  describe 'groups_name_tasks_post test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for tasks_get
  # Get next task.
  # Gets the next task in the queue, ready for processing. Titan may return &lt;&#x3D;n tasks. Consumers should start processing tasks in order. Each returned task is set to &#x60;status&#x60; \&quot;running\&quot; and &#x60;started_at&#x60; is set to the current time. No other consumer can retrieve this task.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :n Number of tasks to return.
  # @return [TasksWrapper]
  describe 'tasks_get test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
